Skip to main content
GET
/
v2
/
interest
/
activity
Interest Account Activity
curl --request GET \
  --url https://sandbox.gateway.sezzle.com/v2/interest/activity \
  --header 'Authorization: <api-key>'
"type,event_date,interest_account_change_amount,interest_account_balance_after_change INTEREST_PAYOUT,2019-12-21T19:10:00Z,122.8718,5101.4676 INTEREST_WITHDRAWAL,2019-12-21T19:20:00Z,-26.1000,5075.3676 INTEREST_ACCRUAL,2019-12-21T19:15:00Z,1.0702,5182.3922 INTEREST_ACCRUAL,2019-12-22T19:15:00Z,1.0702,5183.4624\n"

Documentation Index

Fetch the complete documentation index at: https://docs.sezzle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The authentication token generated from providing API Keys to Sezzle Gateway

Query Parameters

start-date
string<yyyy-mm-dd>
required

The start date for the report. Must be in yyyy-mm-dd format.

end-date
string<yyyy-mm-dd>

The end date for the report. Must be in yyyy-mm-dd format. If omitted, will default to the current date.

offset
string<int32>

The offset for the report. Limit is 20.

currency-code
string

The ISO-4217 currency code of the interest account. If omitted, will default to USD.

Response

Successful Operation

The response is of type string.

Example:

"type,event_date,interest_account_change_amount,interest_account_balance_after_change INTEREST_PAYOUT,2019-12-21T19:10:00Z,122.8718,5101.4676 INTEREST_WITHDRAWAL,2019-12-21T19:20:00Z,-26.1000,5075.3676 INTEREST_ACCRUAL,2019-12-21T19:15:00Z,1.0702,5182.3922 INTEREST_ACCRUAL,2019-12-22T19:15:00Z,1.0702,5183.4624\n"